/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { LitElement, nothing } from "lit";
export declare namespace Radio {
    const ELEMENT_base: import("../../mixins/FocusMixin").FocusMixinReturnType<typeof LitElement>;
    export class ELEMENT extends ELEMENT_base {
        tabIndex: number;
        label: string;
        value: string;
        message: string;
        hideMessage: boolean;
        ariaLabel: string;
        autofocus: boolean;
        private _disabled;
        get disabled(): boolean;
        set disabled(value: boolean);
        checked: boolean;
        private get inputAriaLabel();
        static get styles(): import("lit").CSSResult[];
        private get helpTextClassMap();
        messagesTemplate(): import("lit-html").TemplateResult<1> | typeof nothing;
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-radio": Radio.ELEMENT;
    }
}
